> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query bank statements

> Query bank statements for the authenticated user



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs post /v6/banks/statements/query
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/banks/statements/query:
    post:
      tags:
        - Bank Statements
      summary: Query bank statements
      description: Query bank statements for the authenticated user
      operationId: queryBankStatements
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BankStatementsGetParam'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponseBankStatementGetDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    BankStatementsGetParam:
      type: object
      properties:
        cursor:
          type: string
          description: Cursor from the previous paginated response
          nullable: true
        limit:
          maximum: 250
          type: integer
          description: Page size, i.e. number of items to return per page
          format: int32
        sort:
          $ref: '#/components/schemas/BankStatementsSort'
        filter:
          $ref: '#/components/schemas/BankStatementsFilterParam'
    PaginatedResponseBankStatementGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: array
          description: The data generated by the action performed.
          items:
            $ref: '#/components/schemas/BankStatementGetDto'
        cursor:
          $ref: '#/components/schemas/ResponseCursor'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    BankStatementsSort:
      type: object
      properties:
        orderBy:
          type: string
          description: Sort column
          enum:
            - DATE_UPLOADED
        direction:
          type: string
          description: Sort direction. Defaults to DESC
          enum:
            - ASC
            - DESC
      description: Sort order for the items in the response.
    BankStatementsFilterParam:
      type: object
      properties:
        bankAccount:
          $ref: '#/components/schemas/BankAccountFilter'
      description: Filter for items in the response.
    BankStatementGetDto:
      required:
        - bankAccount
        - id
        - period
        - status
        - url
      type: object
      properties:
        id:
          type: string
          description: Id of the bank statement
          example: bst_28868401
        status:
          type: string
          description: Status of the bank statement
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        url:
          type: string
          description: URL to the bank statement document
          nullable: true
          example: https://cdn.sandbox.tight.com/statements/bst_28868401.pdf
        bankAccount:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/BankAccountExpanded'
        period:
          $ref: '#/components/schemas/BankStatementPeriodGetDto'
        customData:
          $ref: '#/components/schemas/JsonNode'
      description: The data generated by the action performed.
    ResponseCursor:
      type: object
      properties:
        after:
          type: string
          description: >-
            After cursor - Fetches entities after this cursor. Useful for paging
            forwards.
        before:
          type: string
          description: >-
            Before cursor - Fetches entities before this cursor. Useful for
            paging backwards.
      description: >-
        Cursor to be used in your subsequent paginated request. Only populated
        if there are more pages available.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    BankAccountFilter:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/BankAccountIds'
      description: Bank filter
    BankAccountExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the bank account
          example: bka_7542850
        name:
          type: string
          description: Name of the bank account
          example: Business Checking
        displayName:
          type: string
          description: Display Name of the bank account
          example: Business Checking *1687
      description: Bank account of the matching bank transaction
    BankStatementPeriodGetDto:
      required:
        - beginDate
        - endDate
      type: object
      properties:
        beginDate:
          type: string
          description: Start date of the bank statement period
          format: date
          nullable: true
          example: '2024-01-01'
        endDate:
          type: string
          description: End date of the bank statement period
          format: date
          nullable: true
          example: '2024-01-31'
      description: The date period covered by this bank statement
      nullable: true
    JsonNode:
      type: object
      properties:
        empty:
          type: boolean
        array:
          type: boolean
        'null':
          type: boolean
        object:
          type: boolean
        float:
          type: boolean
        string:
          type: boolean
        number:
          type: boolean
        missingNode:
          type: boolean
        valueNode:
          type: boolean
        nodeType:
          type: string
          enum:
            - ARRAY
            - BINARY
            - BOOLEAN
            - MISSING
            - 'NULL'
            - NUMBER
            - OBJECT
            - POJO
            - STRING
        pojo:
          type: boolean
        integralNumber:
          type: boolean
        floatingPointNumber:
          type: boolean
        short:
          type: boolean
        int:
          type: boolean
        long:
          type: boolean
        double:
          type: boolean
        bigDecimal:
          type: boolean
        bigInteger:
          type: boolean
        textual:
          type: boolean
          deprecated: true
        boolean:
          type: boolean
        binary:
          type: boolean
        container:
          type: boolean
        embeddedValue:
          type: boolean
      description: >-
        Custom JSON in which you can store any data with max length of 2000
        characters
      nullable: true
      example:
        internal_key: some_internal_key
        some_other_field: 23434
    BankAccountIds:
      type: object
      properties:
        in:
          type: array
          description: List of values to include.
          items:
            type: string
            description: List of values to include.
        notIn:
          type: array
          description: List of values to exclude.
          items:
            type: string
            description: List of values to exclude.
      description: Id filter - returns all entities with the following bank accounts.
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````